/*
   Sample_Program.prg
   
   Copyright(c) Real Business Applications Ltd 2000
   
   Author: Regan Cawkwell
   Created: RC  14/06/2011 09:20:33
	Last change: RC 14/06/2011 10:05:49
*/

PROCEDURE APPSYS
RETURN

#include 'dcdialog.ch'

PROCEDURE MAIN

   Draw_Window()
   Draw_Window(0)

RETURN

PROCEDURE Draw_Window(nFIT)

   LOCAL getlist:={}, getoptions
   LOCAL nWid, nHgt

   DEFAULT nFIT:=10

   nHgt:=300
   nWid:=400

   @ 0,0 DCSTATIC CAPTION "FITPAD clause is set to "+alltrim(str(nFIT))+", press ESC..." ;
      SIZE nWid*2,26 ;
      OPTIONS XBPALIGN_HCENTER+XBPALIGN_VCENTER ;
      COLOR GRA_CLR_WHITE,GRA_CLR_BLACK

   @ 26,0 DCSTATIC CAPTION "Top Left" ;
      SIZE nWid,nHgt-26 ;
      OPTIONS XBPALIGN_TOP+XBPALIGN_LEFT ;
      COLOR NIL,GRA_CLR_RED

   @ 26,nWid DCSTATIC CAPTION "Top Right" ;
      SIZE nWid,nHgt-26 ;
      OPTIONS XBPALIGN_TOP+XBPALIGN_RIGHT ;
      COLOR NIL,GRA_CLR_BLUE

   @ nHgt,0 DCSTATIC CAPTION "Bottom Left" ;
      SIZE nWid,nHgt ;
      OPTIONS XBPALIGN_BOTTOM+XBPALIGN_LEFT ;
      COLOR NIL,GRA_CLR_GREEN

   @ nHgt,nWid DCSTATIC CAPTION "Bottom Right" ;
      SIZE nWid,nHgt ;
      OPTIONS XBPALIGN_BOTTOM+XBPALIGN_RIGHT ;
      COLOR NIL,GRA_CLR_YELLOW

   DCGETOPTIONS ;
      FONT "16.Arial Bold" ;
      SAYFONT "16.Arial" ;
      GETFONT "13.Lucida Console" ;
      ROWPIXELS 26 ;
      ROWSPACE 26 ;
      COLPIXELS 10 ;
      PIXEL ;
      FITPAD nFIT

   DCREAD GUI FIT ;
      OPTIONS GetOptions ;
      TITLE "024 problems with FITPAD clause in build 255 under Win7" ;
      SETAPPWINDOW

RETURN

